petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGMRESSetRestart

Sets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetRestart(KSP ksp, PetscInt restart)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| restart | - integer restart value Many br

### Options Database

-ksp_gmres_restart <positive integer> - Many brNote: The default value is 30. Many br

Many br

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESGetRestart()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages